[sldev] last couple builds not running on winxp??

Robin Cornelius robin.cornelius at gmail.com
Tue Aug 18 00:45:44 PDT 2009


On Tue, Aug 18, 2009 at 7:24 AM, Marine Kelley<marinekelley at gmail.com> wrote:
> Hi, you're not alone, it seems that since 1.23 the viewer needs some C+
> + libraries to run, and some systems do not provide out of the box. I
> have posted an article about it there :
>
> http://realrestraint.blogspot.com/2009/07/having-troubles-running-rlv-119-on.html
>

Its not as simple as that, the critical files that are included in the
package Marine links to on the blog are provided with the viewer, but
the issues have been caused by an incorrect configuration on the
windows build server that LL use. The last couple of snowglobe builds
would not run for me at all, and i have all the redistributable
installed (and most non redistributable as i have Visual Studio
2003/2005 and 2008 installed) and even attempting to install the
redistributable did not help. Basically the manifest that is embedded
to the exe file says which files it depends on, but also with the
Microsoft winSxS stuff the exact version of the file required as well.

As i understand Rob had something done to the windows build server and
kicked off a new build last night (my time) so if the snowglobe builds
are still an issue please ping back here.

Robin


More information about the SLDev mailing list